All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support
Class HttpViewerSupport

    com.sas.actionprovider.support.HttpViewerSupport

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, URLTemplateViewInterface

    @SASScope(value="ALL")
    public class HttpViewerSupport

implements HttpActionProviderViewInterface, URLTemplateViewInterface

Provides a common implementation of the `HttpActionProviderViewInterface` to which components may delegate their own implementations of that interface.

Transformation Bean Components that acquire their Actions via the ActionProvider Framework (APF) are required to implement that interface.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0
See Also:
  `HttpActionProviderViewInterface`

Constructor Summary
`HttpViewerSupport()` Default constructor
`HttpViewerSupport(ActionProviderViewInterface viewer)` Constructor that takes an instance of the view component that this class supports.

Method Summary
`HttpActionProvider` | `getActionProvider()` Returns the ActionProvider object
`javax.servlet.http.HttpServletRequest` | `getRequest()` Returns the Viewer's request
`com.sas.util.SimpleTemplate` | `getURLTemplate()` Returns the URLTemplate string
`java.util.Collection` | `listActionTypes(java.lang.String areaType)` Returns a Collection of String keys that define the valid actionTypes as defined by the support class that is currently associated with this component.
`java.util.Collection` | `listAreaTypes()` Returns a Collection of String keys that define the valid areaTypes as defined by the support class that is currently associated with this component.
`void` | `setActionProvider(HttpActionProvider actionProvider)` Sets the ActionProvider object
`void` | `setRequest(javax.servlet.http.HttpServletRequest request)` Sets the Viewer's request
`void` | `setURLTemplate(com.sas.util.SimpleTemplate URLTemplate)` Sets the URLTemplate string

Methods inherited from class com.sas.actionprovider.support.BaseViewerSupport
`getActionSupportType, getUniqueId, isActionVisible, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from interface com.sas.actionprovider.ActionProviderViewInterface
`getActionSupportType, getUniqueId, isActionVisible, setActionSupportType, setActionVisible, setUniqueId`

Constructor Detail

### HttpViewerSupport

    public HttpViewerSupport()

  Default constructor

### HttpViewerSupport

    public HttpViewerSupport(ActionProviderViewInterface viewer)

  Constructor that takes an instance of the view component that this class supports.

  Parameters:
    `viewer` - The instance of the view component.

Method Detail

### getURLTemplate

    public com.sas.util.SimpleTemplate getURLTemplate()

  Returns the URLTemplate string

  Specified by:
    `getURLTemplate` in interface `URLTemplateViewInterface`
  Returns:
    URLTemplate string
  See Also:
    `getURLTemplate()`, `URLTemplateViewInterface`

### setURLTemplate

    public void setURLTemplate(com.sas.util.SimpleTemplate URLTemplate)

  Sets the URLTemplate string

  Specified by:
    `setURLTemplate` in interface `URLTemplateViewInterface`
  Parameters:
    `URLTemplate` - string
  See Also:
    `getURLTemplate()`, `URLTemplateViewInterface`

### getActionProvider

    public HttpActionProvider getActionProvider()

  Returns the ActionProvider object

  Specified by:
    `getActionProvider` in interface `HttpActionProviderInterface`
  Returns:
    ActionProvider object
  See Also:
    `setActionProvider(com.sas.actionprovider.HttpActionProvider)`

### setActionProvider

    public void setActionProvider(HttpActionProvider actionProvider)

  Sets the ActionProvider object

  Specified by:
    `setActionProvider` in interface `HttpActionProviderInterface`
  Parameters:
    `ActionProvider` - object
  See Also:
    `getActionProvider()`

### listAreaTypes

    public java.util.Collection listAreaTypes()

  Returns a Collection of String keys that define the valid areaTypes as defined by the support class that is currently associated with this component.

  Specified by:
    `listAreaTypes` in interface `ActionProviderViewInterface`
  Specified by:
    `listAreaTypes` in class `BaseViewerSupport`
  Returns:
    a Collection of String keys that define the valid areaTypes.
  Throws:
    `java.lang.IllegalStateException` - if actionSupportType not set.
  See Also:
    `listActionTypes(java.lang.String)`, `BaseViewerSupport.setActionSupportType(java.lang.String)`

### listActionTypes

    public java.util.Collection listActionTypes(java.lang.String areaType)

  Returns a Collection of String keys that define the valid actionTypes as defined by the support class that is currently associated with this component.

  Specified by:
    `listActionTypes` in interface `ActionProviderViewInterface`
  Specified by:
    `listActionTypes` in class `BaseViewerSupport`
  Parameters:
    `areaType` - The key associated with a defined areaType.
  Returns:
    a Collection of String keys that define the valid actionTypes.
  Throws:
    `java.lang.IllegalStateException` - if actionSupportType not set.
    `java.lang.IllegalArgumentException` - if areaType is null.
  See Also:
    `listAreaTypes()`, `BaseViewerSupport.setActionSupportType(java.lang.String)`

### setRequest

    public void setRequest(javax.servlet.http.HttpServletRequest request)

  Sets the Viewer's request

  Specified by:
    `setRequest` in interface `HttpActionProviderInterface`
  Specified by:
    `setRequest` in interface `HttpActionProviderViewInterface`
  Parameters:
    `name` - the Viewer's request
  See Also:
    `getRequest()`

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  Returns the Viewer's request

  Specified by:
    `getRequest` in interface `HttpActionProviderInterface`
  Specified by:
    `getRequest` in interface `HttpActionProviderViewInterface`
  Returns:
    the Viewer's request
  See Also:
    `setRequest(javax.servlet.http.HttpServletRequest)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.